Package org.apache.sysds.runtime.matrix.data

## Class LibMatrixDNNLSTM

- java.lang.Object
- - org.apache.sysds.runtime.matrix.data.LibMatrixDNNLSTM

    public class LibMatrixDNNLSTM
    extends Object

### Constructor Summary

Constructors
`LibMatrixDNNLSTM()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `checkLSTMBackwardInputForOptimisation​(DnnParameters params)`
`static boolean` `checkLSTMInputForOptimisation​(DnnParameters params)`
`static ArrayList<Callable<Long>>` `getLSTMWorkers​(DnnParameters params)`
`static long` `lstmBackwardGeneric​(DnnParameters params)`
`static long` `lstmGeneric​(DnnParameters params)`
`static void` `lstmTile​(int n, int d, int T, int m, int start, int end, MatrixBlock x, MatrixBlock w, MatrixBlock bias, MatrixBlock out0, MatrixBlock c0, boolean return_sequences, MatrixBlock out, MatrixBlock cout, MatrixBlock cache_out, MatrixBlock cache_c, MatrixBlock cache_ifog)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LibMatrixDNNLSTM

    public LibMatrixDNNLSTM()

### Method Detail

#### getLSTMWorkers

    public static ArrayList<Callable<Long>> getLSTMWorkers​(DnnParameters params)

#### lstmTile

    public static void lstmTile​(int n,
                                int d,
                                int T,
                                int m,
                                int start,
                                int end,
                                MatrixBlock x,
                                MatrixBlock w,
                                MatrixBlock bias,
                                MatrixBlock out0,
                                MatrixBlock c0,
                                boolean return_sequences,
                                MatrixBlock out,
                                MatrixBlock cout,
                                MatrixBlock cache_out,
                                MatrixBlock cache_c,
                                MatrixBlock cache_ifog)

#### lstmGeneric

    public static long lstmGeneric​(DnnParameters params)

#### lstmBackwardGeneric

    public static long lstmBackwardGeneric​(DnnParameters params)

#### checkLSTMInputForOptimisation

    public static boolean checkLSTMInputForOptimisation​(DnnParameters params)

#### checkLSTMBackwardInputForOptimisation

    public static boolean checkLSTMBackwardInputForOptimisation​(DnnParameters params)